import pygame,sys
from pygame.locals import*


class Box(object):
	
	def __init__(self,x,y,kind = 0):
		
		self.x = x 
		self.y = y
		
		self.xvel = 0
		self.yvel = 0
		
		self.friction = 0.93
		
		self.rect = pygame.Rect(self.x,self.y,24,24)
		self.alive = True
		self.kind = 0 			# 0 - immovable, 1 - movable 
		
	def draw(self, surface):
		
		pygame.draw.rect(surface,(200,200,0),self.rect)
			
			
	def update(self,timepassed):
		
		self.x += self.xvel
		self.y += self.yvel
		
		self.xvel *= self.friction
		self.yvel *= self.friction
		
		self.rect.topleft = (self.x,self.y)
		
		
		