from distutils.core import setup
import py2exe,os.path,os,sys


fullpath = os.path.abspath(__file__)
maindir = os.path.split(fullpath)[0] 

libdir = os.path.join(maindir,"lib")
sfxdir = os.path.join(maindir,"sounds")
fontsdir = os.path.join(maindir,"fonts")
imagesdir = os.path.join(maindir,"images")
#levelsdir = os.path.join(maindir,"levels")

sys.path.insert(0,libdir)				# crucial to insert where OpenGL is in front of paths (not append)

# list files in maindir
libdirfiles = os.listdir(libdir)
sfxdirfiles = os.listdir(sfxdir)
fontsdirfiles = os.listdir(fontsdir)
imagesdirfiles = os.listdir(imagesdir)
#levelsdirfiles = os.listdir(levelsdir)


modulenames=[]
newlibfiles=[]
for thing in libdirfiles:
	modulenames.append(thing)
	nthing = os.path.join(libdir,thing)
	newlibfiles.append(nthing)

newsfxfiles=[]
for thing in sfxdirfiles:
	nthing = os.path.join(sfxdir,thing)
	newsfxfiles.append(nthing)

#newlevelfiles=[]
#for thing in levelsdirfiles:
#	nthing = os.path.join(levelsdir,thing)
#	newlevelfiles.append(nthing)
	
newfontsfiles=[]
for thing in fontsdirfiles:
	nthing = os.path.join(fontsdir,thing)
	newfontsfiles.append(nthing)

newimagesfiles=[]
for thing in imagesdirfiles:
	nthing = os.path.join(imagesdir,thing)
	newimagesfiles.append(nthing)

#names = []
#for name in modulenames:
#	s_name = os.path.splitext(name)[0]
#	
#	if s_name not in names:
#		names.append(s_name)

	
#help(setup)
#sys.path.append(libdir)
modules = ['lib','encodings',"encodings.latin_1"]



setup( windows = [{'script':'fell_blaster.py'}],
		author = "Fyeidale Edmond",
		author_email ="fienixgdev@gmail.com",
		options = {"py2exe":{
						"bundle_files":1,
						"compressed":True,
						"optimize":2,
						#"excludes":["OpenGL"],
						"includes":modules
						
							}},
							
		data_files = [ 	(".",["README.txt","getpath.py","config.txt"]),
						("fonts", newfontsfiles),
						("sounds", newsfxfiles),
						#("levels", newlevelfiles),
						("images", newimagesfiles)
						] )
